// Includes
#include <iostream>
#include "GameCore.h"

using namespace std;

int main() {
    // Start
    cout << "MetaBalls visualizer starts." << endl;

    // Random start
    srand((unsigned int) time(0));

    // Initialisation
    GameCore core;

    if (!core.initialize()){
        cout << "MetaBallVisualizer has encountered a problem." << endl;
        cout << "Ask Jovian to debug his program ..." << endl;
        return 1;
    }

    // QuickGame
    core.start();

    // End
    return 0;
}